#include <iostream>

using namespace std;

int main()
{
    int n, m;
    cin >> n >> m;
    int k = 0;
    for (int i = 1; i < n - 1; i++) {
        for (int j = 1; j < m - 1; j++) {
            if ((i + j) % 2 == 0)
                k++;
        }
    }
    cout << n * m - k;
}